Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.genins.session.impl
Class GenInsServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.genins.session.impl.GenInsServiceImpl

All Implemented Interfaces:
  GenInsService

    public class GenInsServiceImpl

extends Object
implements GenInsService

Implementation of `GenInsService`

Constructor Summary
`GenInsServiceImpl()`

Method Summary
`GetInsurabilityResponse` | `getInsurability(GetInsurabilityAsXmlOrFlatRequestType request)` Method which call the web service getInsurability
`GetInsurabilityAsFlatResponse` | `getInsurabilityAsFlat(GetInsurabilityAsXmlOrFlatRequestType request)` Method which call the web service getInsurabilityAsFlat

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenInsServiceImpl

    public GenInsServiceImpl()

Method Detail

### getInsurabilityAsFlat

    public GetInsurabilityAsFlatResponse getInsurabilityAsFlat(GetInsurabilityAsXmlOrFlatRequestType request)
                                                        throws GenInsBusinessConnectorException,
                                                               TechnicalConnectorException,
                                                               SessionManagementException

  Description copied from interface: `GenInsService`
  Method which call the web service getInsurabilityAsFlat

  Specified by:
    `getInsurabilityAsFlat` in interface `GenInsService`
  Returns:
    GetInsurabilityResponse object
  Throws:
    `GenInsBusinessConnectorException`
    `TechnicalConnectorException` - the malformed url exception
    `SessionManagementException`
  See Also:
    `be.ehealth.businessconnector.genins.service.GenInsService#getInsurabilityAsFlat(be.fgov.ehealth.genericinsurability.protocol.v1.GetInsurabilityAsXmlOrFlatRequestType)`

### getInsurability

    public GetInsurabilityResponse getInsurability(GetInsurabilityAsXmlOrFlatRequestType request)
                                            throws GenInsBusinessConnectorException,
                                                   TechnicalConnectorException,
                                                   SessionManagementException

  Description copied from interface: `GenInsService`
  Method which call the web service getInsurability

  Specified by:
    `getInsurability` in interface `GenInsService`
  Returns:
    GetInsurabilityResponse object
  Throws:
    `GenInsBusinessConnectorException`
    `TechnicalConnectorException` - the malformed url exception
    `SessionManagementException`
  See Also:
    `be.ehealth.businessconnector.genins.service.GenInsService#getInsurability(be.fgov.ehealth.genericinsurability.protocol.v1.GetInsurabilityAsXmlOrFlatRequestType)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.